Skip to content

Retrieve Statistics by Date

GET
https://mapi.storyblok.com/v1/spaces/:space_id/statistics/:date

Returns an array of statistics objects tracked in a specific space during the requested month.

  • :space_id required number

    Numeric ID of the space.

  • :date required string

    Date in YYYY-MM-DD format (returns statistics for the entire month).

  • statistic object[]

    An array of statistics objects for a specific space.

    Show child properties
    • id number

      The numeric ID of the API request record.

    • counting number

      The number of API requests made on the specified day of the month.

    • total_bytes number

      The total bandwidth (in bytes) consumed by the API requests on a specific day. Returns null if the bandwidth hasn’t been calculated yet.

    • created_at string

      The day that the system logged the API usage.

Example Request

curl "https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01" \
-H "Authorization: YOUR_OAUTH_TOKEN"
Response Example
{
"statistics": [
{
"id": 155721213373372,
"counting": 11,
"total_bytes": 275000,
"created_at": "2026-03-16"
},
{
"id": 156075121263581,
"counting": 59,
"total_bytes": 6558205,
"created_at": "2026-03-17"
},
{
"id": 156428992253001,
"counting": 12,
"total_bytes": 365838,
"created_at": "2026-03-18"
},
{
"id": 156782884025556,
"counting": 13,
"total_bytes": 325000,
"created_at": "2026-03-19"
}
]
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.